[Archvdr-devel] SF.net SVN: archvdr:[279] trunk/archvdr
Brought to you by:
huceke
|
From: <hu...@us...> - 2009-07-30 19:54:11
|
Revision: 279
http://archvdr.svn.sourceforge.net/archvdr/?rev=279&view=rev
Author: huceke
Date: 2009-07-30 19:54:03 +0000 (Thu, 30 Jul 2009)
Log Message:
-----------
Aeonskin with vdr support
Added Paths:
-----------
trunk/archvdr/xbmc-skin-aeon-git-vdr/
trunk/archvdr/xbmc-skin-aeon-git-vdr/PKGBUILD
Added: trunk/archvdr/xbmc-skin-aeon-git-vdr/PKGBUILD
===================================================================
--- trunk/archvdr/xbmc-skin-aeon-git-vdr/PKGBUILD (rev 0)
+++ trunk/archvdr/xbmc-skin-aeon-git-vdr/PKGBUILD 2009-07-30 19:54:03 UTC (rev 279)
@@ -0,0 +1,80 @@
+# Contributor: Ralf Barth <archlinux dot or at haggy dot org>
+# Contributor: Richard Atkinson atkinsonr at gmail
+# Contributor: Edgar Hucek gimli at dark-green dot com
+#
+# History
+#
+# 30th July 2009
+#
+# gimli: Added vdr support. Adapted for the archvdr repo
+#
+# 29th May 2009
+# haggy: Pushed to auriga as of 29th May 2009
+#
+# 18th May 2009
+# haggy: Pushed to auriga as of 3rd May 2009 (the latest up to now)
+#
+# 30th April 2009
+# haggy: Pushed to 'auriga' branch, which comes after 'stark'
+#
+# 14th April 2009
+# haggy: First version
+#
+
+pkgname=xbmc-skin-aeon-git-vdr
+pkgver=20090609
+pkgrel=1
+pkgdesc="Aeon skin for XBMC (git version) with vdr support for the pvr-testing tree"
+arch=('i686' 'x86_64')
+url="http://www.aeonproject.com/"
+source=('http://vdr.gekrumbel.de/mirror/xbmc/aeon-pvr/aeon-pvr.tar.gz')
+md5sums=()
+noextract=('Aeon_Fonts.zip')
+depends=('xbmc-pvr-testing')
+makedepends=('git' 'unzip')
+provides=()
+groups=('multimedia')
+license=('GPL')
+options=()
+
+build() {
+
+ _gitversion="ecac28b809f3f44f091f4f4e413f4508f8a197a0"
+ _gitroot="git://github.com/djh/aeon.git"
+ _gitname="aeon"
+
+ cd ${srcdir}
+ msg "Connecting to github.com GIT server..."
+
+ if [ ! -d ${srcdir}/$_gitname ] ; then
+ msg "No local branch found, cloning remote branch..."
+ git clone $_gitroot ${_gitname}-orig
+ #cd $srcdir/$_gitname && git checkout --track -b auriga origin/auriga
+ fi
+
+ cd $srcdir/${_gitname}-orig && git checkout $_gitversion
+ msg "GIT checkout done or server timeout"
+
+ cd $srcdir
+ tar -xzf ../aeon-pvr.tar.gz
+ if [ -e $_gitname ]; then
+ rm -rf $_gitname
+ fi
+ cp -r ${_gitname}-orig $_gitname
+ cd $_gitname
+ patch -p1 -i ../aeon-pvr/pvr.patch || return 1
+ cd $srcdir/aeon-pvr
+ unzip Aeon_Fonts260409.zip
+
+
+ # Copy tree to share location
+ mkdir -p $pkgdir/usr/share/xbmc/skin/$_gitname
+ cp -r $startdir/src/$_gitname/* $pkgdir/usr/share/xbmc/skin/$_gitname/
+ rm -rf $pkgdir/usr/share/xbmc/skin/$_gitname/.git*
+
+ # Unzip fonts into skin location
+ cp -r ${srcdir}/aeon-pvr/default_pvr $pkgdir/usr/share/xbmc/skin/$_gitname/media/backdrops/
+ cp -r ${srcdir}/aeon-pvr/Aeon/fonts $pkgdir/usr/share/xbmc/skin/$_gitname/
+ cp ${srcdir}/aeon-pvr/teletext.ttf $pkgdir/usr/share/xbmc/skin/$_gitname/fonts/
+}
+
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|